List AWS VPCs
import requests
url = "https://platform.ankra.app/org/clusters/aws/vpcs"
headers = {"cookie": "ankra_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'ankra_session='}};
fetch('https://platform.ankra.app/org/clusters/aws/vpcs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/clusters/aws/vpcs \
--cookie ankra_session={
"vpcs": [
{
"id": "<string>",
"name": "<string>",
"cidr": "<string>",
"is_default": true,
"dhcp_domain_name": "<string>",
"dhcp_domain_name_state": "set"
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}AWS Clusters
List AWS VPCs
Browser session authentication; RBAC permission clusters.read. Lists the region’s VPCs with their CIDR and DHCP domain-name state (set / empty / unknown). Answers 404 while the organisation’s aws_provider feature flag is off.
GET
/
org
/
clusters
/
aws
/
vpcs
List AWS VPCs
import requests
url = "https://platform.ankra.app/org/clusters/aws/vpcs"
headers = {"cookie": "ankra_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'ankra_session='}};
fetch('https://platform.ankra.app/org/clusters/aws/vpcs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/clusters/aws/vpcs \
--cookie ankra_session={
"vpcs": [
{
"id": "<string>",
"name": "<string>",
"cidr": "<string>",
"is_default": true,
"dhcp_domain_name": "<string>",
"dhcp_domain_name_state": "set"
}
]
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Browser session. Mutations also require X-Ankra-CSRF.
Query Parameters
The organisation's AWS credential (a keys credential, or a role onboarded with the provisioning or self_managed scope).
AWS region slug, e.g. eu-west-1.
Response
Successful response
Show child attributes
Show child attributes